Bug 53996 - New port: xrender - X render library and server implementations for XFree86
New port: xrender - X render library and server implementations for XFree86
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 06:30 UTC by foxfair
Modified: 2003-07-10 02:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description foxfair 2003-07-02 06:30:13 UTC
This port is X render library and server implementations for XFree86, and it 
depends on x11-toolkits/render.

I have submitted render port in PR: ports/53995.

Fix: Create a new port by the following shar:

---------------------------------------------------------------------


-----------------------------------------------------------------------Q3hRcyhvV9qjwDk6mMGHIwAjzPSJn9yWIr8PwltfS1XzHOMN
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xrender/
#	xrender/pkg-plist
#	xrender/pkg-descr
#	xrender/distinfo
#	xrender/Makefile
#
echo c - xrender/
mkdir -p xrender/ > /dev/null 2>&1
echo x - xrender/pkg-plist
sed 's/^X//' >xrender/pkg-plist << 'END-of-xrender/pkg-plist'
Xinclude/X11/extensions/Xrender.h
Xlib/libXrender.a
Xlib/libXrender.la
Xlib/libXrender.so
Xlib/libXrender.so.1
Xlib/pkgconfig/xrender.pc
X@exec mkdir -p %D/lib/pkgconfig
X@exec mkdir -p %D/include/X11/extensions
X@unexec rmdir %D/include/X11/extensions 2>/dev/null || true
X@unexec rmdir %D/share/lib/pkgconfig 2>/dev/null || true
END-of-xrender/pkg-plist
echo x - xrender/pkg-descr
sed 's/^X//' >xrender/pkg-descr << 'END-of-xrender/pkg-descr'
XThis package contains X render library and server implementations for XFree86.
X
XKeith Packard
Xkeithp@keithp.com
X
XWWW: http://www.fontconfig.org
END-of-xrender/pkg-descr
echo x - xrender/distinfo
sed 's/^X//' >xrender/distinfo << 'END-of-xrender/distinfo'
XMD5 (xrender-0.8.3.tar.gz) = b9b2b3f7f3f91f613b6bba541358520e
END-of-xrender/distinfo
echo x - xrender/Makefile
sed 's/^X//' >xrender/Makefile << 'END-of-xrender/Makefile'
X# New ports collection makefile for:   xrender
X# Date Created:			2 Jul, 2003
X# Whom:				Foxfair Hu <foxfair@FreeBSD.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xrender
XPORTVERSION=	0.8.3
XCATEGORIES=	x11-toolkits
XMASTER_SITES=	http://fontconfig.org/release/
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	XRender extension for XFree86
X
XBUILD_DEPENDS=	${X11BASE}/lib/pkgconfig/render.pc:${PORTSDIR}/x11/render
X
XUSE_X_PREFIX=	yes
XCONFIGURE_ARGS=	--prefix=${X11BASE}
XCONFIGURE_ENV+=	PKG_CONFIG_PATH=${X11BASE}/lib/pkgconfig
X
XINSTALLS_SHLIB=	yes
X
Xpre-build:
X	@(cd ${WRKSRC}; ./configure ${CONFIGURE_ARGS} ${CONFIGURE_ENV})
X
X.include <bsd.port.mk>
END-of-xrender/Makefile
exit
Comment 1 foxfair 2003-07-02 06:35:44 UTC
Hmm I'm sorry, seems I put a wrong depend in the Makefile before submit. 
FYI: Apply this patch after create the port from shar:

--- Makefile.orig       Wed Jul  2 13:30:59 2003
+++ Makefile    Wed Jul  2 13:27:10 2003
@@ -13,7 +13,7 @@
 MAINTAINER=    ports@FreeBSD.org
 COMMENT=       XRender extension for XFree86
 
-BUILD_DEPENDS= ${X11BASE}/lib/pkgconfig/render.pc:${PORTSDIR}/x11/render
+BUILD_DEPENDS= ${X11BASE}/lib/pkgconfig/render.pc:${PORTSDIR}/x11-toolkits/render
 
 USE_X_PREFIX=  yes
 CONFIGURE_ARGS=        --prefix=${X11BASE}
Comment 2 foxfair freebsd_committer 2003-07-10 02:50:27 UTC
State Changed
From-To: open->closed

We have this in ports tree now.